Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.18.8 Regression?: Yes

Operating System: Linux Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24521

Description

gis 2.18. 8 (Codeversion 6768c89) can not load results from modeller processes. I get an error message for my models in each case, that

no files can be loaded. This applies to all my models.

In QGIS 2.18.7 it works. Even if I change "/usr/share/qgis/python/plugins/processing" with the directory from a 2.18.7 installation 

everything works.

Errormessage:

2017-05-25T23:24:24    2    Error loading result layer:

            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/gui/Postprocessing.py", line 75, in handleAlgorithmResults

                out.name))

              File "/usr/share/qgis/python/plugins/processing/tools/dataobjects.py", line 188, in load

                + '\nCheck the processing framework log to look for errors')

            RuntimeError: Could not load layer:

/tmp/processingbf83eae3011344c1aa2eb95903d53f4e/73f583f4f29340abbf0df3994fc3ee8d/OUTPUTALGQGISCONVERTGEOMETRYTYPE1.shp

YTYPE1.shp

            Check the processing framework log to look for errors

Associated revisions

Revision 2a9095db - 2017-05-26 12:40 PM - Jürgen Fischer

processing: with GDAL2 we need to check for raster capability to get the

raster extensions (fixes #16621; followup 3d3b6ec)

History

#1 - 2017-05-26 12:41 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|2a9095db8ab622ca279deb44b398872a28dbd7a3.

#2 - 2017-05-26 12:51 PM - Jürgen Fischer

commit:cd7dfda1 is an alternative fix (and makes the referenced one uncessary).
